> ## Name

> texRECTsize - returns the size of a given texture image for a given level of detail.

> ## Synopsis

>     int3 texRECTsize(samplerRECT samp, int lod)

>     int3 texRECTsize(isamplerRECT samp, int lod)

>     int3 texRECTsize(usamplerRECT samp, int lod)

> ## Parameters

> samp
>   Sampler to be queried for size.
> lod
>   Level of detail to obtain size.

> ## Description

> Given a sampler and a level of detail the size of the corresponding texture image is returned as the result of the operation.

> ## Profile Support

> texRECTsize is only supported in gp4 and newer profiles.

> ## See Also

> texRECT